Uploaded image for project: 'Pluto'
  1. Pluto
  2. PLUTO-450

ExternalAppScopedAttributeTest.jsp has a minor javascript error

    Details

    • Type: Bug
    • Status: Resolved
    • Priority: Trivial
    • Resolution: Fixed
    • Affects Version/s: 1.1.4, 1.2.0, 1.1-286-COMPATIBILITY, 1.1.5, 2.0.0
    • Fix Version/s: 1.1.5, 2.0.0
    • Component/s: portlets-testsuite
    • Labels:
      None
    • Environment:
      Firefox browser (2.0, Linux)

      Description

      When using window.open, the first argument is the URL of the window's content. The first argument of the window.open call on the referenced JSP is HTML that is being interpreted as a web address to use for the new window. This results in an unnecessary network call back to the server, and an annoying exception in Tomcat.

        Issue Links

          Activity

          Hide
          bgould Benjamin Gould added a comment -

          This patch changes the initial URL address of the window to about:blank.

          Show
          bgould Benjamin Gould added a comment - This patch changes the initial URL address of the window to about:blank.
          Hide
          cdoremus Craig Doremus added a comment -

          Applied this in SVN rev 604408 as part of pluto-testsuite.afewfiltertests.patch in PLUTO-442

          Show
          cdoremus Craig Doremus added a comment - Applied this in SVN rev 604408 as part of pluto-testsuite.afewfiltertests.patch in PLUTO-442
          Hide
          emetsger Elliot Metsger added a comment -

          applied to 1.1.x 609257.

          Show
          emetsger Elliot Metsger added a comment - applied to 1.1.x 609257.
          Hide
          emetsger Elliot Metsger added a comment -

          Updating fix versions to 2.0.0 and 1.1.5.

          Show
          emetsger Elliot Metsger added a comment - Updating fix versions to 2.0.0 and 1.1.5.
          Hide
          emetsger Elliot Metsger added a comment -

          Since 1.2.0 (current trunk) is being replaced by the 1.1-286-trunk-merge branch (and 1.1-286-COMPAT is going away) this issue is resolved since its been applied everywhere it needs to be.

          Show
          emetsger Elliot Metsger added a comment - Since 1.2.0 (current trunk) is being replaced by the 1.1-286-trunk-merge branch (and 1.1-286-COMPAT is going away) this issue is resolved since its been applied everywhere it needs to be.

            People

            • Assignee:
              Unassigned
              Reporter:
              bgould Benjamin Gould
            • Votes:
              0 Vote for this issue
              Watchers:
              0 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved:

                Development